> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Reservation

Updates a reservation. Only reservations in `pending` status can be updated.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/reservations/res_wrF0i5e6cAuXxV9ojAl7Bj0ItaN2d2SI \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{
    "metadata": {
      "dispatch_id": "dispatch_2048"
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "res_wrF0i5e6cAuXxV9ojAl7Bj0ItaN2d2SI",
      "object": "reservation",
      "cancellation_policy": {
          "free_until_before": 1800,
          "type": "free_cancellation"
      },
      "charging_station": "chst_EWmDp4B9TCVM6SFNP8dqqzCpzHsqh0zV",
      "confirmed_at": "2026-04-01T00:53:49.009Z",
      "connector_type": ["CCS"],
      "created": "2026-04-01T00:25:49.017Z",
      "currency": "eur",
      "driver": "drv_MYExnPHAPwjl5AFEAoAAxgCpKSAqreju",
      "earliest_start": null,
      "failed_reason": null,
      "ideal_end": "2026-04-01T02:55:47.067Z",
      "ideal_start": "2026-04-01T01:25:20.728Z",
      "latest_end": null,
      "location": {
          "latitude": 48.8698,
          "longitude": 2.3319,
          "radius": 1500
      },
      "metadata": {
          "dispatch_id": "dispatch_2048",
          "trip_id": "trip_9384"
      },
      "payment_method": "pm_QzTUskWh9JcjSzOpnAvccTNKE0lAHz3K",
      "reservation_fee": 1200,
      "reserved_end": "2026-04-01T02:55:54.025Z",
      "reserved_start": "2026-04-01T01:25:30.800Z",
      "status": "confirmed",
      "updated": "2026-04-01T00:59:15.857Z",
      "vehicle": "veh_yophwhitse33A4AGAF4lmU9meQ2Ou9I0"
  }
  ```
</ResponseExample>

## Parameters

<ParamField body="ideal_end" type="string">
  Updated preferred end time for charging. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="ideal_start" type="string">
  Updated preferred start time for charging. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

## More parameters

<ParamField body="connector_type" type="array of string">
  Updated acceptable connector types.

  Available options: `CHAdeMO`, `CCS`, `Type2`
</ParamField>

<ParamField body="earliest_start" type="string | null">
  Updated earliest acceptable start time. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="latest_end" type="string | null">
  Updated latest acceptable end time. RFC 3339 UTC timestamp with millisecond precision, e.g. `2026-03-03T14:05:23.789Z`.
</ParamField>

<ParamField body="location" type="object">
  Geographic area within which Charge will attempt to assign a station.

  <Expandable title="properties">
    <ParamField body="latitude" type="number" required>
      Latitude of the search area center point.
    </ParamField>

    <ParamField body="longitude" type="number" required>
      Longitude of the search area center point.
    </ParamField>

    <ParamField body="radius" type="integer" required>
      Radius around the location in meters.
    </ParamField>
  </Expandable>
</ParamField>

<ParamField body="metadata" type="object">
  Set of key-value pairs that you can attach to an object.
</ParamField>

## Returns

Returns the updated reservation.
